Loading...
Searching...
No Matches
AVOptionRange Struct Reference
libavutil » Data Structures » AVOptions

A single allowed range of values, or a single allowed value. More...

`#include <libavutil/opt.h>`

## Data Fields

const char * | str
double | value_min
| Value range.
double | value_max
double | component_min
| Value's component range.
double | component_max
int | is_range
| Range flag.

## Detailed Description

A single allowed range of values, or a single allowed value.

Definition at line 485 of file opt.h.

## Field Documentation

## str

const char* AVOptionRange::str

Definition at line 486 of file opt.h.

## value_min

double AVOptionRange::value_min

Value range.

For string ranges this represents the min/max length. For dimensions this represents the min/max pixel count or width/height in multi-component case.

Definition at line 492 of file opt.h.

## value_max

double AVOptionRange::value_max

Definition at line 492 of file opt.h.

## component_min

double AVOptionRange::component_min

Value's component range.

For string this represents the unicode range for chars, 0-127 limits to ASCII.

Definition at line 497 of file opt.h.

## component_max

double AVOptionRange::component_max

Definition at line 497 of file opt.h.

## is_range

int AVOptionRange::is_range

Range flag.

If set to 1 the struct encodes a range, if set to 0 a single value.

Definition at line 502 of file opt.h.

The documentation for this struct was generated from the following file:

- libavutil/opt.h